# $Revision: 1.19 $, $Date: 2002/05/12 23:22:20 $
Summary:	GTK firewall control center
Summary(pl):	Centrum kontroli firewalla
Summary(pt_BR):	Centro de controle de firewall GTK
Name:		gfcc
Version:	0.7.4
Release:	6
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://icarus.autostock.co.kr/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-inc.patch
Patch1:		%{name}-gtkrc.patch
Icon:		gfcc.xpm
URL:		http://account.joayo.net/~tri/index.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libipfwc
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
gfcc (GTK+ Firewall Control Center) is a GTK+ application which can
control Linux firewall policies and rules, based on ipchains package.

%description -l pl
gfcc jest aplikacj opart na ipchains i wykorzystujc bibliotek
GTK+, ktra umoliwia zarzdzanie filtrowaniem pakietw IP.

%description -l pt_BR
O gfcc (GTK+ Firewall Control Center)  uma aplicao GTK+ que pode
controlar polticas e regras de firewall, baseado no pacote ipchains.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c -f
%configure \
	--with-ipfwc=/usr/lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/System/Administration,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/System/Administration
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gfcc
%{_applnkdir}/System/Administration/gfcc.desktop
%{_pixmapsdir}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl
$Log: gfcc.spec,v $
Revision 1.19  2002/05/12 23:22:20  marcus
- rel.6.

Revision 1.18  2002/04/25 16:22:38  arturs
fixed a small typo

Revision 1.17  2002/03/27 09:20:19  kloczek
- release 5: merge translations from Conectiva.

Revision 1.16  2002/02/25 20:42:08  kloczek
- added regenerate ac/am/lt files,
- move desktop file to Systsm/Administration.

Revision 1.15  2002/02/25 07:52:44  marcus
- rel.4.

Revision 1.14  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/30 22:47:03  marcus
- s/%%configure/%%configure2_13/g

Revision 1.11  2000/10/25 07:48:03  kloczek
- removed %%{name} from Icon (builder must be fixed).

Revision 1.10  2000/10/25 07:01:34  kloczek
- release 3: added package icon adnd icon for desktop file.

Revision 1.9  2000/10/25 06:05:44  kloczek
- release 2: use new rpm automation.

Revision 1.8  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.5  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.3  2000/02/06 21:16:32  kloczek
- updated to 0.7.4,
- spec adapterized,
- Group changed to X11/Applications/Networking.

Revision 1.2  1999/11/24 19:09:02  pius
- updated to 0.7.3

Revision 1.1  1999/11/22 00:35:51  pius
- initial release
